      Subroutine tncm (x)
c *** see RH Landau, Program lpott, 1981
      Implicit  Real*8   (a-h,o-z)
      Common /sec2/ bnuc(20),bn(16),bnucf(20),bnf(16),t(14),tx(14),hbarc
     1,pi,mpi,mn,nz,nes,nwaves,nifty(20),na
      n = nifty(1)+1
      GoTo (10,10,10,10,10,50,10,20,20,50), n
 10   Call tpicm (x)
      GoTo 30
 20   Call tkcm (x)
 30   Continue
c     check to see If some elem t s set to zero
      If (nifty(7).ne.1.and.nifty(7).ne.2) Return
c     nifty(7)=1;  set p,d,f = 0    nifty(7)=2; set df= 0
      ni = 5
      If (nifty(7).eq.2) ni = 9
      Do 40 nl=ni,16
         bn(nl) = 0.
         bnf(nl) = 0.
 40   Continue
      Return
c      no protons in this version
 50   STOP
      End
